Subject: Re: [PATCH] netfilter: use per-cpu recursive lock (v11)

From: "Paul E. McKenney" <[email-masked]>
Date: Tue, 21 Apr 2009 09:37:58 -0700

On Tue, Apr 21, 2009 at 06:59:29AM +0200, Eric Dumazet wrote:

[ . . . ]

> Hopefully, next rcu_bh (or whatever name is used) will permit us
> to switch back to pure RCU in 2.6.31

My excursion in to rcu_fgp can be thought of as a training exercise for
doing this, though perhaps others are also working on an upgraded rcu_bh
as well.

							Thanx, Paul